
# react-native-ttlock

## Getting started

`$ npm install react-native-ttlock --save`

### Mostly automatic installation

`$ react-native link react-native-ttlock`

### Manual installation


#### iOS

1. In XCode,Add Key`Privacy - Bluetooth Peripheral Usage Description` Value `your description for bluetooth` to your project's `info` ➜ `Custom iOS Target Projectes`
2. Run your project (`Cmd+R`)<

Note: If you have installed versions before 1.0.4,please remove TTLock.framework in XCode 

#### Android

1. Edit your project AndroidManifest.xml
  - Add 
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
  - Add service
   <service android:name="com.ttlock.bl.sdk.service.BluetoothLeService" />
   
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-ttlock'
  	project(':react-native-ttlock').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-ttlock/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
   compile project(':react-native-ttlock')

## Usage

###
initTTlockApi(uid):init TTLock SDK,this is must be done before using this conponent.  param uid is get from server.

###
addReceiveScanDeviceListener(cb)：add listener to receive bluetooth lock before do start scan device.

###
removeReceiveScanDeviceListener():remove listener

###
startBTDeviceScan():start scan bluetooth lock

###
lockInitialize(lockMac,cb)：do lock initailization.

###
unlockByUser(keyObj,cb):unlock lock by using e-key which is get from server.

###
getOperateLog(keyObj,cb)：get log from lock 

###
setLockTime(timestamp,lockObj,cb)：correct lock time

###
resetLock(lockObj,cb)：reset lock,when this operation is success,this lock can be add again.
  

